#pragma once

class Rectangle;
class Grid;

class AbstractGeometricItem
{
public:

	virtual ~AbstractGeometricItem() = default;

    //Rectangle GetBounds() const = 0;

    virtual void Sample(Grid* grid) const = 0;
};
